Subject: Re: [PATCH RFC v4 1/9] meson: add infrastructure to build internalg

From: "brian m. carlson" <[email-masked]>
Date: Tue, 20 Jan 2026 23:23:49 +0000

On 2026-01-20 at 22:18:42, D. Ben Knoble wrote:
> As far as I can tell, v4 of the Rust series introduced this script [1]. I didn't
> notice any comments on or about the use of "--quiet" here, and Gentoo's been
> carrying a patch to remove it [2] (also attached below). I don't think it's been
> sent upstream, but we could… any thoughts on "why --quiet" or objections to such
> a patch?

I have no objections to either of these patches.  We'd want `--quiet` by
default for the Makefile due to the output format, but I don't know why
we'd need it for meson.

To be clear, I don't use the meson format at all, so someone who cares
about it and can speak to it should definitely chime in, but I would say
that given the explanations in the patches, they seem reasonable.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA